Package groovy.swing.impl

# Class TableLayoutRow

java.lang.Object
groovy.swing.impl.TableLayoutRow

public class TableLayoutRow extends Object
Represents a row in a table layout

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TableLayoutRow(TableLayout tableLayoutTag)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addCell(TableLayoutCell tag)`
  Adds a new cell to this row
  `void`
  `addComponentsForRow()`
  `int`
  `getRowIndex()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TableLayoutRow

    public TableLayoutRow(TableLayout tableLayoutTag)

- ## Method Details

  - ### addCell

    public void addCell(TableLayoutCell tag)
    Adds a new cell to this row
    Parameters:
      `tag` - the td element

  - ### addComponentsForRow

    public void addComponentsForRow()

  - ### getRowIndex

    public int getRowIndex()
    Returns:
      the row index of this row